Subject: Re: [PATCH 0/2] vmxnet3: Fix inconsistent DMA accesses

From: Jakub Kicinski <[email-masked]>
Date: Mon, 18 Nov 2024 16:16:15 -0800

On Mon, 18 Nov 2024 08:31:35 -0700 Brian Johannesmeyer wrote:
> > But committing patch 1 just
> > to completely revert it in patch 2 seems a little odd.  
> 
> Indeed, this was a poor choice on my part. I suppose the correct way
> to do this would be to submit them separately (as opposed to as a
> series)? I.e.: (i) one patch to start adding the synchronization
> operations (in case `adapter` should indeed be in a DMA region), and
> (ii) a second patch to remove `adapter` from a DMA region? Based on
> the feedback, I can submit a V2 patch for either (i) or (ii).

What is the purpose of the first patch? Is it sufficient to make 
the device work correctly?

If yes, why do we need patch 2.
If no, why do we have patch 1, instead of a revert / patch 2...